---
layout: post
title:  "How to Fund Open Source Software"
date:   2020-11-11 07:37:00 +0000
tags: economics
published: true
description: "Have fund."
image: https://siriusbusiness.fi/assets/images/posts/letsfindout.jpeg
---

In the [previous post](https://siriusbusiness.fi/fill-the-earth) we discussed growth, broadly speaking. Now it's time to talk about survival and growth of open source software projects.

Companies that promise a good return on investment generally have no difficulty raising as much capital as they need.

But how do you fund an idealistic open source project that makes no such promises, and just wants to build something that ultimately serves the humanity better than Facebook, Google and Amazon?

![LET'S FIND OUT!](/assets/images/posts/letsfindout.jpeg)


## Shitcoins
Also known as Initial Coin Offerings (ICO) or "tokens".

Pros:
* Viral incentives: early adopters are rewarded and turned into relentless brand ambassadors. Merely whispering the three letters "I C O" will attract opportunists who want to buy first and be on the top of the pyramid.
* Blockchain is cool — just say the word and get free press coverage.

Cons:
* Unless you come up with an exceptionally good long-term value proposal, and a good reason why your token suits its purpose better than Bitcoin, this funding method is unethical. Bad example: Dental coin. Potentially good example: Filecoin.
* Legal concerns.


## Dual-licensing
MySQL, acquired by Oracle for **one billion dollars** in 2013, is perhaps the most successful example of dual-licensing. You can use the MySQL database for free under the GPLv2 license, which requires you to distribute any derivative work under the same or equivalent license. Alternatively, you can pay for a proprietary license that doesn't have the same restriction.

Pros:
* Proven business model for software libraries. You could start a for-profit and get venture capital.

Cons:
* Restrictive license may be a turn-off for some users
* Probably doesn't bring revenue from end-user applications


## Crowdfunding
Do a kickstarter campaign. There are marketing professionals who have experience with crowdfunding — maybe ask their help.

Pros:
* You can get started without an existing product or user base

Cons:
* Misalignment of incentives: when you get the money beforehand, you're not financially dependent on delivering on the promise.
* Stress from the crowd breathing in your neck


## Donations
Optionally, sell stickers and other merchandise.

Pros:
* Developer and user interests are perfectly aligned: users donate only as long as they're happy with your work.

Cons:
* You need to have the product and a large user base first


## Community contributions
El Dorado. Not actually a funding method, but same result: the software gets developed. Even better, developers are in because they like or need the product.

Pros:
* If your project is useful and interesting enough, just release it under the MIT license and watch it flourish on community contributions.

Cons:
* If the project is only run by volunteers, boring stuff like UX intricacies may be neglected.
* May require a critical mass of users to survive and grow.
* Doesn't bring you any revenue


## Complementary business
Maintain your MIT licensed product while selling something related.

Preferably sell something other than support and consulting. It doesn't scale all that well: you'd need to sell 10 hours of support to fund 1 hour of development, or so.

And if I may advise, **don't choose an ad-based business model**. To quote the Tesla CEO again, _"there's something wrong with the moral structure of advertising."_

When you're selling the user's attention to the advertiser, your interests are misaligned with the user's interests. You're incentivised to get the user's attention with questionable means such as addiction engineering, clickbait journalism and outrage culture.

In my opinion, **subscription-based services** are often the most ethical. In the context of open source software, you would fundamentally sell bandwidth, hosting and convenience.

Or maintain a marketplace where buyers and sellers meet, while you take care of the user experience, payments and dispute resolution.

---

Something to add? Let me know! 👇
